For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get report details

Get report details

get
/tenants/{tenantUid}/organizations/{organizationUid}/reports/{reportUid}
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
reportUidstringRequired

Reference to a report.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Report details

application/json
reportUidstringRequiredPattern: ^[A-Za-z0-9-_]+
requestany ofRequired

The request response depends on the what type of report it is

or
or
or
statestring · enumRequiredPossible values:
typestring · enumRequired

Available reports are:

ENUMDescription
SAFTSAFT reports
SalesPrStoreSales per store
StoreWarehouseDetailsMonthly warehouse details
WarehouseStockDetailsDetails list of all stock on the current warehouse
ART_FEEArt fee report
ART_PROVISIONArtists' provision report
OPEN_ITEMSList of outstanding receivables
SOLD_NOT_DELIVEREDProducts sold not delivered
Possible values:
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
sendNotificationTostringRequired
notificationSentAtstring · date-timeOptional
progressstringRequired
filenamestringRequired
filesizeintegerRequired
get/tenants/{tenantUid}/organizations/{organizationUid}/reports/{reportUid}
GET /v2/tenants/{tenantUid}/organizations/{organizationUid}/reports/{reportUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Report details

{
  "reportUid": "text",
  "request": {
    "fromDate": "2026-01-01",
    "toDate": "2026-01-01",
    "storeUids": [
      "text"
    ],
    "reportUid": "text"
  },
  "state": "ABORTED",
  "type": "SAFT",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "sendNotificationTo": "text",
  "notificationSentAt": "2026-01-01T00:00:00.000Z",
  "progress": "text",
  "filename": "text",
  "filesize": 1
}

Last updated

Was this helpful?